> ## Documentation Index
> Fetch the complete documentation index at: https://docs.givebutter.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List all households



## OpenAPI

````yaml https://givebutter.com/docs/api.json get /v1/households
openapi: 3.1.0
info:
  title: Givebutter API Documentation
  version: 1.0.0
  description: >-
    Givebutter Public API - Access and manage your campaigns, contacts,
    transactions, and more.
servers:
  - url: https://api.givebutter.com/
security:
  - http: []
paths:
  /v1/households:
    get:
      tags:
        - Households
      summary: List all households
      operationId: households.index
      parameters:
        - name: headContactId
          in: query
          schema:
            type:
              - string
              - 'null'
        - name: contacts
          in: query
          schema:
            type:
              - string
              - 'null'
        - name: query
          in: query
          schema:
            type:
              - string
              - 'null'
        - name: sortBy
          in: query
          schema:
            type:
              - string
              - 'null'
        - name: sortByDesc
          in: query
          schema:
            type:
              - string
              - 'null'
        - name: page
          in: query
          schema:
            type: string
            default: 1
      responses:
        '200':
          description: Array of `HouseholdResource`
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/HouseholdResource'
        '422':
          $ref: '#/components/responses/ValidationException'
components:
  schemas:
    HouseholdResource:
      type: object
      properties:
        id:
          type: integer
        name:
          type: string
        head_contact_id:
          type:
            - integer
            - 'null'
        account_id:
          type: integer
        envelope_name:
          type:
            - string
            - 'null'
        note:
          type:
            - string
            - 'null'
        created_at:
          type:
            - string
            - 'null'
          format: date-time
        updated_at:
          type:
            - string
            - 'null'
          format: date-time
        contacts:
          type: array
          items:
            type: object
            properties:
              id:
                type: string
              company_name:
                type: string
              first_name:
                type: string
              first_name_display:
                type: string
              last_name:
                type: string
              last_name_display:
                type: string
              middle_name:
                type: string
              name_display:
                type: string
              primary_email:
                type: string
              primary_phone:
                type: string
              type:
                type: string
            required:
              - id
              - company_name
              - first_name
              - first_name_display
              - last_name
              - last_name_display
              - middle_name
              - name_display
              - primary_email
              - primary_phone
              - type
      required:
        - id
        - name
        - head_contact_id
        - account_id
        - envelope_name
        - note
        - created_at
        - updated_at
      title: HouseholdResource
  responses:
    ValidationException:
      description: Validation error
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Errors overview.
              errors:
                type: object
                description: A detailed description of each field that failed validation.
                additionalProperties:
                  type: array
                  items:
                    type: string
            required:
              - message
              - errors
  securitySchemes:
    http:
      type: http
      scheme: bearer

````